%global src_name  release-4.2.1.tar.gz
%global alt_name  XaoS

Name:           xaos
Version:	4.2.1
Release:	2%{?dist}
Summary:        A fast, portable real-time interactive fractal zoomer

License:        GPLv2+
URL:            https://github.com/xaos-project/XaoS
Source:		%{src_name}

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-rpm-macros qt5-linguist


%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.


%prep
%autosetup -n XaoS-release-4.2.1

%build
%qmake_qt5
%make_build STRIP=:

%install
#
# Stolen from https://build.opensuse.org/package/view_file/openSUSE:Factory/xaos/xaos.spec?expand=1
#
# Empty install target generated by qmake => install files manually
# Binary
install -D --mode 0755 --target-directory %{buildroot}%{_bindir} bin/%{name}

# Data; Datapath forced to %%{alt_name} (not configurable)
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/%{alt_name}/catalogs catalogs/*.cat
cp --archive examples tutorial %{buildroot}%{_datadir}/%{alt_name}

# Icon, .desktop, AppData
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/metainfo xdg/%{name}.appdata.xml
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/applications xdg/%{name}.desktop
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/pixmaps xdg/%{name}.png

# Man
install -D --mode 0644 --target-directory %{buildroot}%{_mandir}/man6 doc/%{name}.6

%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{alt_name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/xaos.6.gz

%changelog
%autochangelog
